> ## Documentation Index
> Fetch the complete documentation index at: https://developers.pleo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Archive a Vendor

> Archives a Vendor in Pleo by its id.



## OpenAPI

````yaml post /v1/vendors/{id}:archive
openapi: 3.0.1
info:
  title: Vendors API
  description: Vendors OpenAPI definitions
  termsOfService: https://pleo.io/terms/
  contact:
    email: apiteam@pleo.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 34.17.0
servers:
  - url: https://external.pleo.io
    description: Production server
  - url: https://external.staging.pleo.io
    description: Staging server
security:
  - bearerAuth: []
  - basicAuth: []
tags:
  - name: health
  - name: admin
  - name: Aggregated Company Vendor Resource
  - name: Company Recurring Vendor Resource
  - name: Company Vendor Resource
  - name: Enablement Resource
  - name: Expense Vendor Resource
  - name: Generic Vendors Resource
  - name: Prompts Resource
  - name: Recurring Vendor Resource
  - name: Sandbox Resource
  - name: Supplier Resource
  - name: Vendor Clean Resource
  - name: Vendor Group Resource
  - name: Vendor Resource
  - name: Vendors Resource
  - name: Vendor API
    description: |-
      The Vendor API enables you to perform the following:
      - Create a new vendor record.
      - Retrieve a vendor record by ID.
      - Modify the vendor details.
      - Archive a vendor record by ID.
      - Activate a vendor record by ID.
      - Fetch vendors' details by search criteria.
      - Import vendors via CSV.
  - name: Recurring Merchant Info Resource
  - name: Vendor Clean Resource V2
paths:
  /v1/vendors/{id}:archive:
    post:
      tags:
        - external-vendors
      summary: Archive a Vendor
      description: Archives a Vendor in Pleo by its id.
      operationId: archiveVendorById
      parameters:
        - name: id
          in: path
          required: true
          style: simple
          explode: false
          schema:
            type: string
            description: Pleo's internal identifier of the vendor.
            format: uuid
            example: 123e4567-e89b-12d3-a456-426614174000
      responses:
        '204':
          description: Vendor archived
        '404':
          description: Vendor not found
components:
  securitySchemes:
    bearerAuth:
      type: http
      description: >-
        JWT Bearer token authentication. Include the token in the Authorization
        header as: `Bearer <token>`
      scheme: bearer
      bearerFormat: JWT
    basicAuth:
      type: http
      description: >-
        Basic HTTP authentication using API key. Use your API key as the
        username and leave the password empty. The credentials will be Base64
        encoded automatically.
      scheme: basic

````